package com.lightinit.hsdataplatformresdir.model.admin;

import com.lightinit.hsdataplatformresdir.entity.BaseExample;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

public class APIPublishSearchModel extends BaseExample {

    //所属单位
    private String providerName ;
    //数据名称
    private String resourceName ;
    //提交日期
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date registerAPIFrom ;

    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date registerAPITo ;
    //状态
    private String publishState ;

    private Long orgId ;

    public String getProviderName() {
        return providerName;
    }

    public void setProviderName(String providerName) {
        this.providerName = providerName;
    }

    public String getResourceName() {
        return resourceName;
    }

    public void setResourceName(String resourceName) {
        this.resourceName = resourceName;
    }

    public Date getRegisterAPIFrom() {
        return registerAPIFrom;
    }

    public void setRegisterAPIFrom(Date registerAPIFrom) {
        this.registerAPIFrom = registerAPIFrom;
    }

    public Date getRegisterAPITo() {
        return registerAPITo;
    }

    public void setRegisterAPITo(Date registerAPITo) {
        this.registerAPITo = registerAPITo;
    }

    public String getPublishState() {
        return publishState;
    }

    public void setPublishState(String publishState) {
        this.publishState = publishState;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }
}
